API Reference for Marketo Engage

Create Static List

POST /rest/asset/v1/staticLists.json

Creates a new Static List.

Operation ID
createStaticListUsingPOST
Permissions
Read-Write Assets
Request format
application/x-www-form-urlencoded
Returns
ResponseOfStaticListResponse

Request body

application/x-www-form-urlencoded · required · CreateStaticListRequest · 5 properties

Sent as URL-encoded form fields. Object properties are sent as JSON text in their field.

description string

Description of the static list

name string required

Name of the static list

folder Folder required

Folder object describing the parent folder

Model Folder

id integer (int32) required

Id of the folder

type string required

Type of folder

Values Folder Program

Responses

200 OK ResponseOfStaticListResponse
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of StaticListResponse

Model StaticListResponse

id integer (int64) required

Id of the static list

name string required

Name of the static list

description string required

Description of the static list

createdAt string (date-time) required

Datetime the static list was created

updatedAt string (date-time) required

Datetime the static list was most recently updated

url string

May not be present in the response

folder Folder required

JSON representation of parent folder, with members 'id', and 'type' which may be 'Folder' or 'Program'

Model Folder

id integer (int32) required

Id of the folder

type string required

Type of folder

Values Folder Program

workspace string required

Name of the workspace

computedUrl string

Url of the asset in the Marketo UI

success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123,
      "name": "Example name",
      "description": "string",
      "createdAt": "2026-01-15T10:30:00Z",
      "updatedAt": "2026-01-15T10:30:00Z",
      "url": "https://example.com",
      "folder": {
        "id": 123,
        "type": "Folder"
      },
      "workspace": "string",
      "computedUrl": "https://example.com"
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results